From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/
Date: Sat, 2 Jan 2016 08:06:14 +0000 (UTC) [thread overview]
Message-ID: <1451721947.185c755be18e8949e0fa6a3c6c2ca8209afd619e.mr_bones_@gentoo> (raw)
commit: 185c755be18e8949e0fa6a3c6c2ca8209afd619e
Author: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 2 08:05:47 2016 +0000
Commit: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Sat Jan 2 08:05:47 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=185c755b
games-fps/tribes2: EAPI=5; tidy
Package-Manager: portage-2.2.24
games-fps/tribes2/tribes2-25034.ebuild | 15 ++++++++-------
1 file changed, 8 insertions(+), 7 deletions(-)
diff --git a/games-fps/tribes2/tribes2-25034.ebuild b/games-fps/tribes2/tribes2-25034.ebuild
index aba5b65..2bcad31 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -2,9 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
+EAPI=5
inherit eutils unpacker cdrom games
-IUSE=""
DESCRIPTION="Tribes 2 - Team Combat on an Epic Scale"
HOMEPAGE="http://www.lokigames.com/products/tribes2/"
SRC_URI="http://www.libsdl.org/projects/${PN}/release/${P}-cdrom-x86.run
@@ -16,6 +16,7 @@ SLOT="0"
# time to try to figure it out but this definitely needs to stay -amd64 until
# someone does fix the patching.
KEYWORDS="-amd64 x86"
+IUSE=""
RESTRICT="mirror strip"
DEPEND="sys-libs/glibc
@@ -41,26 +42,26 @@ src_unpack() {
src_install() {
einfo "Copying files... this may take a while..."
exeinto "${dir}"
- doexe "${CDROM_ROOT}"/bin/x86/glibc-2.1/{t2launch,tribes2,tribes2.dynamic,tribes2d,tribes2d-restart.sh,tribes2d.dynamic} || die "doexe failed"
+ doexe "${CDROM_ROOT}"/bin/x86/glibc-2.1/{t2launch,tribes2,tribes2.dynamic,tribes2d,tribes2d-restart.sh,tribes2d.dynamic}
insinto "${dir}"
- doins "${CDROM_ROOT}"/{README,README.tribes2d,Tribes2_Manual.pdf,console_start.cs,kver.pub} "${Ddir}" || die "copy failed"
+ doins "${CDROM_ROOT}"/{README,README.tribes2d,Tribes2_Manual.pdf,console_start.cs,kver.pub} "${Ddir}"
# Video card profiles
# TODO: move this to src_unpack where it belongs.
- tar xzf ${CDROM_ROOT}/profiles.tar.gz -C "${Ddir}" || die "uncompressing profiles"
+ tar xzf ${CDROM_ROOT}/profiles.tar.gz -C "${Ddir}" || die
# Base (Music, Textures, Maps, etc.)
- doins -r ${CDROM_ROOT}/base ${CDROM_ROOT}/menu || die "copying data"
+ doins -r ${CDROM_ROOT}/base ${CDROM_ROOT}/menu
cd "${S}"
loki_patch --verify patch.dat
- loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching"
+ loki_patch patch.dat "${Ddir}" >& /dev/null || die
# now, since these files are coming off a cd, the times/sizes/md5sums wont
# be different ... that means portage will try to unmerge some files (!)
# we run touch on ${D} so as to make sure portage doesnt do any such thing
- find "${Ddir}" -exec touch '{}' \;
+ find "${Ddir}" -exec touch '{}' +
newicon "${CDROM_ROOT}"/icon.xpm tribes2.xpm
games_make_wrapper t2launch ./t2launch "${dir}" "${dir}"
next reply other threads:[~2016-01-02 8:06 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-02 8:06 Michael Sterrett [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-05-31 8:24 [gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/ Ulrich Müller
2019-09-15 15:51 Michał Górny
2021-04-06 20:43 Sam James
2021-04-06 23:14 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1451721947.185c755be18e8949e0fa6a3c6c2ca8209afd619e.mr_bones_@gentoo \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox